<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.product.dao.KwpSearchLogMapper">
  <resultMap id="BaseResultMap" type="com.sckw.product.model.KwpSearchLog">
    <!--@mbg.generated-->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="ent_id" jdbcType="BIGINT" property="entId" />
    <result column="user_id" jdbcType="BIGINT" property="userId" />
    <result column="keywords" jdbcType="VARCHAR" property="keywords" />
    <result column="source" jdbcType="INTEGER" property="source" />
    <result column="user_agent" jdbcType="VARCHAR" property="userAgent" />
    <result column="ip_address" jdbcType="VARCHAR" property="ipAddress" />
    <result column="search_time" jdbcType="TIMESTAMP" property="searchTime" />
    <result column="create_by" jdbcType="BIGINT" property="createBy" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_by" jdbcType="BIGINT" property="updateBy" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="del_flag" jdbcType="INTEGER" property="delFlag" />
  </resultMap>

</mapper>
